<?php

namespace EventPortal\AuthPassword\Rules;

class ContainsNumber implements NovoRule
{
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter
    // phpcs:disable SlevomatCodingStandard.TypeHints.ParameterTypeHint
    public function passes($attribute, $value): bool
    {
        return (bool) preg_match('/^(?=.*\d)/', $value);
    }

    // phpcs:enable
    public function message(): string
    {
        return 'There must be at least one number.';
    }

    public function frontEndLabel(): string
    {
        return 'A number';
    }

    public function frontEndValidation(): array
    {
        return [
            'number',
        ];
    }
}
